
# Charge les données
data(airquality)
set.seed(10)

# Arbre de régression
library("tree")
ozone.tr <- tree(Ozone ~., data=airquality)
summary(ozone.tr)
plot(ozone.tr)
text(ozone.tr)

ozone.tr <- tree(Ozone ~., data=airquality, control = tree.control(nobs = 153, mindev = 0.02)))
summary(ozone.tr)
plot(ozone.tr)
text(ozone.tr)

# Forêts aléatoires
library(randomForest)
ozone.rf <- randomForest(Ozone ~ ., data=airquality, mtry=3, importance=TRUE, na.action=na.omit)
print(ozone.rf)
varImpPlot(ozone.rf, type = 1, main = "Importance des variables pour la prévision de qualité de l'air")
