
# Charge les données
library("ElemStatLearn")
data(spam)

# Arbre de classification
library("tree")
spam.tr <- tree(spam ~ ., data=spam)
plot(prune.tree(spam.tr))
summary(spam.tr)
plot(spam.tr)
text(spam.tr)

spam.tr2 <- tree(spam ~ ., data=spam, control = tree.control(nobs = 4601, mindev = 0.02))
summary(spam.tr2)
plot(spam.tr2)
text(spam.tr2)


# Forêts aléatoires.
library("randomForests")
spam.rf <- randomForest(spam ~ ., data=spam, ntree = 200, importance=TRUE, proximity=TRUE)
print(spam.rf)

# Afficher l'importance des variables
varImpPlot(spam.rf, type = 1, main = "Importance des variables pour la détection de spams")
